Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.infer
Class ParticleDumper

    java.lang.Object
      convert.xml.infer.ParticleDumper

All Implemented Interfaces:
  ParticleVisitor

    public class ParticleDumper

extends java.lang.Object
implements ParticleVisitor

Method Summary
`static java.lang.String` | `toString(Particle p, java.lang.String defaultNamespace)`
`java.lang.Object` | `visitChoice(ChoiceParticle p)`
`java.lang.Object` | `visitElement(ElementParticle p)`
`java.lang.Object` | `visitEmpty(EmptyParticle p)`
`java.lang.Object` | `visitOneOrMore(OneOrMoreParticle p)`
`java.lang.Object` | `visitSequence(SequenceParticle p)`
`java.lang.Object` | `visitText(TextParticle p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toString

    public static java.lang.String toString(Particle p,
                                            java.lang.String defaultNamespace)

### visitElement

    public java.lang.Object visitElement(ElementParticle p)

  Specified by:
    `visitElement` in interface `ParticleVisitor`

### visitChoice

    public java.lang.Object visitChoice(ChoiceParticle p)

  Specified by:
    `visitChoice` in interface `ParticleVisitor`

### visitSequence

    public java.lang.Object visitSequence(SequenceParticle p)

  Specified by:
    `visitSequence` in interface `ParticleVisitor`

### visitEmpty

    public java.lang.Object visitEmpty(EmptyParticle p)

  Specified by:
    `visitEmpty` in interface `ParticleVisitor`

### visitText

    public java.lang.Object visitText(TextParticle p)

  Specified by:
    `visitText` in interface `ParticleVisitor`

### visitOneOrMore

    public java.lang.Object visitOneOrMore(OneOrMoreParticle p)

  Specified by:
    `visitOneOrMore` in interface `ParticleVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD